nn.pp.rccore

## Interface ITerminalBlockInputSettings

- All Known Implementing Classes:
    TerminalBlockInputSettings

      public interface ITerminalBlockInputSettings

  The configuration of the Terminal Block of a KX4 device. This is used to receive the configuration of the input pins of the KX4 terminal block.
  See Also:
    `RCCore.getTerminalBlockInputSettings()`, `TerminalBlockListener.terminalBlockInputSettingsChanged(ITerminalBlockInputSettings)`, `TerminalBlockListener.terminalBlockSupportedChanged(boolean)`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ITerminalBlockInputSettings.States` The state of the Terminal Block
    `static class` | `ITerminalBlockInputSettings.UserAccess` The access state for users

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITerminalBlockInputSettings.UserAccess` | `getLocalUserAccess()` Get the access for local users
    `ITerminalBlockInputSettings.UserAccess` | `getRemoteUserAccess()` Get the access for remote users
    `ITerminalBlockInputSettings.States` | `getState()` Get the state of the Terminal Block
    `boolean` | `isEnabled()` Get whether the Terminal Block input enabled or not
    `void` | `setEnabled(boolean enabled)` Set the enabled state
    `void` | `setLocalUserAccess(ITerminalBlockInputSettings.UserAccess access)` Set the access for local users
    `void` | `setRemoteUserAccess(ITerminalBlockInputSettings.UserAccess access)` Set the access for remote users
    `void` | `setState(ITerminalBlockInputSettings.States state)` Set the state of the Terminal Block

- - ### Method Detail

    - #### isEnabled

          boolean isEnabled()

      Get whether the Terminal Block input enabled or not
      Returns:
        true if the Terminal Block enabled, false otherwise

    - #### setEnabled

          void setEnabled(boolean enabled)

      Set the enabled state
      Parameters:
        `enabled` - true if the Terminal Block enabled, false otherwise

    - #### getState

          ITerminalBlockInputSettings.States getState()

      Get the state of the Terminal Block
      Returns:
        the state of the Terminal Block

    - #### setState

          void setState(ITerminalBlockInputSettings.States state)

      Set the state of the Terminal Block
      Parameters:
        `state` - the state of the Terminal Block

    - #### getRemoteUserAccess

          ITerminalBlockInputSettings.UserAccess getRemoteUserAccess()

      Get the access for remote users
      Returns:
        the access for remote users

    - #### setRemoteUserAccess

          void setRemoteUserAccess(ITerminalBlockInputSettings.UserAccess access)

      Set the access for remote users
      Parameters:
        `access` - the access for remote users

    - #### getLocalUserAccess

          ITerminalBlockInputSettings.UserAccess getLocalUserAccess()

      Get the access for local users
      Returns:
        the access for local users

    - #### setLocalUserAccess

          void setLocalUserAccess(ITerminalBlockInputSettings.UserAccess access)

      Set the access for local users
      Parameters:
        `access` - the access for local users

Copyright © 2025 Raritan Inc. All Rights Reserved.